SDL_SetFloatProperty(3)

NAME
SDL_SetFloatProperty - Set a floating point property in a group of properties.

SYNOPSIS
#include <SDL3/SDL_properties.h>

bool SDL_SetFloatProperty(SDL_PropertiesID props, const char *name, float value);

FUNCTION PARAMETERS

props
    the properties to modify.

name
    the name of the property to modify.

value
    the new value of the property.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetFloatProperty(3)